org.eclipse.viatra.query.runtime.localsearch.matcher.integration

## Class LocalSearchHintKeys

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.matcher.integration.LocalSearchHintKeys

- Deprecated.
  removed support in version 1.5; use `LocalSearchHintOptions`

      @Deprecated
      public class LocalSearchHintKeys
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALLOW_INVERSE_NAVIGATION` Deprecated. removed support in 1.4; its uses will be ignored
    `static java.lang.String` | `FLATTEN_CALL_PREDICATE` Deprecated. Predicate to decide whether to flatten specific positive pattern calls `IFlattenCallPredicate`
    `static java.lang.String` | `PLANNER_COST_FUNCTION` Deprecated. Cost function to be used by the planner.
    `static java.lang.String` | `PLANNER_TABLE_ROW_COUNT` Deprecated.
    `static java.lang.String` | `USE_BASE_INDEX` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchHintKeys()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_INVERSE_NAVIGATION

          @Deprecated
          public static final java.lang.String ALLOW_INVERSE_NAVIGATION

      Deprecated. removed support in 1.4; its uses will be ignored
      See Also:
        Constant Field Values

    - #### USE_BASE_INDEX

          public static final java.lang.String USE_BASE_INDEX

      Deprecated.
      See Also:
        Constant Field Values

    - #### PLANNER_TABLE_ROW_COUNT

          public static final java.lang.String PLANNER_TABLE_ROW_COUNT

      Deprecated.
      See Also:
        Constant Field Values

    - #### PLANNER_COST_FUNCTION

          public static final java.lang.String PLANNER_COST_FUNCTION

      Deprecated.
      Cost function to be used by the planner. Must implement `ICostFunction`
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### FLATTEN_CALL_PREDICATE

          public static final java.lang.String FLATTEN_CALL_PREDICATE

      Deprecated.
      Predicate to decide whether to flatten specific positive pattern calls `IFlattenCallPredicate`
      Since:
        1.4
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSearchHintKeys

          public LocalSearchHintKeys()

      Deprecated.